View Issue Details

IDProjectCategoryView StatusLast Update
0032780Open CASCADEOCCT:Visualizationpublic2022-01-22 12:40
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeverityfeature 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032780: Visualization, TKOpenGl - add smoothing to row interlaced stereoscopic output
DescriptionCurrent implementation of row interlaced stereoscopic output shows considerable aliasing on low-resolution screens, which makes small text badly readable and causes thin lines badly looking.

It is proposed implementing an option smoothing interlaced output by averaging colors of neighbor rows.

Patch should also fix unexpected aliasing within anamorph over/under and sidebyside outputs due to incorrect texture filter mode.
Steps To Reproduce
pload MODELING VISUALIZATION
vdriver -load GL
vgldebug 1
vinit View1 -dpiAware 1
vglinfo
vcamera -persp
vstereo row -smooth
box b 1 2 3
vdisplay -dispMode 1 b
vfit
vviewcube vc
vrenderparams -perfCounters fps
TagsNo tags attached.
Test case numberopengl general stereo

Attached Files

  • stereo_overunder_anamorph_KO.png (18,830 bytes)
  • stereo_overunder_anamorph_OK.png (20,356 bytes)

Activities

git

2022-01-16 18:31

administrator   ~0106417

Branch CR32780 has been created by kgv.

SHA-1: f20603f42df209b2f08492b9f88133c5200d8163


Detailed log of new commits:

Author: kgv
Date: Sun Jan 16 18:20:45 2022 +0300

    0032780: Visualization, TKOpenGl - add smoothing to row interlaced stereoscopic output
    
    Added new option Graphic3d_RenderingParams::ToSmoothInterlacing enabled by default.
    Added -smooth option to vstereo command.
    Added -dpiAware option to vinit command (Windows).

git

2022-01-16 19:01

administrator   ~0106418

Branch CR32780 has been updated forcibly by kgv.

SHA-1: 33e56b0dc65a908899c35b492eaa5cead6939609

git

2022-01-16 21:13

administrator   ~0106419

Branch CR32780 has been updated forcibly by kgv.

SHA-1: 9cc546cd8c6249df0263c54bc66b9b16c1e613fc

kgv

2022-01-16 21:16

developer   ~0106420

Patch is ready for review
- OCCT: branch CR32780.

http://jenkins-test-occt/view/CR32780-master-KGV/

kgv

2022-01-16 21:17

developer   ~0106421

stereo_overunder_anamorph_KO.png (18,830 bytes)
stereo_overunder_anamorph_OK.png (20,356 bytes)

osa

2022-01-17 10:12

developer   ~0106422

The patch was reviewed

smoskvin

2022-01-22 11:46

administrator   ~0106518

Combination -
OCCT branch : IR-2022-01-21
master SHA - 5614b1369a232f43e59cb9be4f5f8efd2075608d
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-01-21 SHA - 6c9eed61a7023644fdd1361491a49abf318c0d20
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18406.870000000446 / 18505.100000000388 [-0.53%]
Products
Total CPU difference: 11642.890000000107 / 11656.240000000102 [-0.11%]
Windows-64-VC14:
OCCT
Total CPU difference: 20282.578125 / 20270.375 [+0.06%]
Products
Total CPU difference: 13127.640625 / 13139.84375 [-0.09%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-01-22 12:40

administrator   ~0106535

Branch CR32780 has been deleted by mnt.

SHA-1: 9cc546cd8c6249df0263c54bc66b9b16c1e613fc

Related Changesets

occt: master 2275caec

2022-01-16 18:20:45

kgv


Committer: smoskvin Details Diff
0032780: Visualization, TKOpenGl - add smoothing to row interlaced stereoscopic output

Added new option Graphic3d_RenderingParams::ToSmoothInterlacing enabled by default.
Added -smooth option to vstereo command.
Added -dpiAware option to vinit command (Windows).
Affected Issues
0032780
mod - src/Graphic3d/Graphic3d_RenderingParams.hxx Diff File
mod - src/Graphic3d/Graphic3d_ShaderManager.cxx Diff File
mod - src/Graphic3d/Graphic3d_StereoMode.hxx Diff File
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff File
mod - src/OpenGl/OpenGl_View.cxx Diff File
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff File
mod - tests/opengl/data/general/stereo Diff File

Issue History

Date Modified Username Field Change
2022-01-16 18:20 kgv New Issue
2022-01-16 18:20 kgv Assigned To => kgv
2022-01-16 18:31 git Note Added: 0106417
2022-01-16 19:01 git Note Added: 0106418
2022-01-16 21:00 kgv Test case number => opengl general stereo
2022-01-16 21:01 kgv Description Updated
2022-01-16 21:13 git Note Added: 0106419
2022-01-16 21:16 kgv Assigned To kgv => osa
2022-01-16 21:16 kgv Status new => resolved
2022-01-16 21:16 kgv Note Added: 0106420
2022-01-16 21:17 kgv Note Added: 0106421
2022-01-16 21:17 kgv File Added: stereo_overunder_anamorph_KO.png
2022-01-16 21:17 kgv File Added: stereo_overunder_anamorph_OK.png
2022-01-17 10:12 osa Assigned To osa => bugmaster
2022-01-17 10:12 osa Status resolved => reviewed
2022-01-17 10:12 osa Note Added: 0106422
2022-01-22 11:46 smoskvin Status reviewed => tested
2022-01-22 11:46 smoskvin Note Added: 0106518
2022-01-22 12:09 smoskvin Changeset attached => occt master 2275caec
2022-01-22 12:27 bugmaster Status tested => verified
2022-01-22 12:27 bugmaster Resolution open => fixed
2022-01-22 12:40 git Note Added: 0106535